APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Enables reviewers to review all accessReviewInstanceDecisionItem objects in batches by using principalId, resourceId, or neither.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
AccessReview.ReadWrite.All
Delegated (personal Microsoft account)
Not supported
Application
AccessReview.ReadWrite.All
HTTP request
POST /me/pendingAccessReviewInstances/{accessReviewInstanceId}/batchRecordDecisions
Request headers
Name
Description
Authorization
Bearer {token}. Required.
Content-Type
application/json. Required.
Request body
In the request body, supply JSON representation of the parameters.
The following table shows the parameters that can be used with this action.
Parameter
Type
Description
decision
String
Access decision for the entity being reviewed. Possible values are: Approve, Deny, NotReviewed, DontKnow. Required.
justification
String
Context of the review provided to admins. Required if justificationRequiredOnApproval is True on the accessReviewScheduleDefinition.
principalId
String
If supplied, all the accessReviewInstanceDecisionItems with matching principalId will be reviewed in this batch. If not supplied, all principalIds will be reviewed.
resourceId
String
If supplied, all the accessReviewInstanceDecisionItems with matching resourceId will be reviewed in this batch. If not supplied, all resourceIds will be reviewed.
Response
If successful, this action returns a 204 No Content response code.
POST https://graph.microsoft.com/beta/me/pendingAccessReviewInstances/{accessReviewInstanceId}/batchRecordDecisions
Content-Type: application/json
{
"decision": "Approve",
"justification": "All principals with access need continued access to the resource (Marketing Group) as all the principals are on the marketing team",
"resourceId": "a5c51e59-3fcd-4a37-87a1-835c0c21488a"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var decision = "Approve";
var justification = "All principals with access need continued access to the resource (Marketing Group) as all the principals are on the marketing team";
var resourceId = "a5c51e59-3fcd-4a37-87a1-835c0c21488a";
await graphClient.Me.PendingAccessReviewInstances["{accessReviewInstance-id}"]
.BatchRecordDecisions(decision,justification,null,resourceId)
.Request()
.PostAsync();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
const options = {
authProvider,
};
const client = Client.init(options);
const batchRecordDecisions = {
decision: 'Approve',
justification: 'All principals with access need continued access to the resource (Marketing Group) as all the principals are on the marketing team',
resourceId: 'a5c51e59-3fcd-4a37-87a1-835c0c21488a'
};
await client.api('/me/pendingAccessReviewInstances/{accessReviewInstanceId}/batchRecordDecisions')
.version('beta')
.post(batchRecordDecisions);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
String decision = "Approve";
String justification = "All principals with access need continued access to the resource (Marketing Group) as all the principals are on the marketing team";
String resourceId = "a5c51e59-3fcd-4a37-87a1-835c0c21488a";
graphClient.me().pendingAccessReviewInstances("{accessReviewInstanceId}")
.batchRecordDecisions(AccessReviewInstanceBatchRecordDecisionsParameterSet
.newBuilder()
.withDecision(decision)
.withJustification(justification)
.withPrincipalId(null)
.withResourceId(resourceId)
.build())
.buildRequest()
.post();
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := graphmodels.NewBatchRecordDecisionsPostRequestBody()
decision := "Approve"
requestBody.SetDecision(&decision)
justification := "All principals with access need continued access to the resource (Marketing Group) as all the principals are on the marketing team"
requestBody.SetJustification(&justification)
resourceId := "a5c51e59-3fcd-4a37-87a1-835c0c21488a"
requestBody.SetResourceId(&resourceId)
graphClient.Me().PendingAccessReviewInstancesById("accessReviewInstance-id").BatchRecordDecisions().Post(requestBody)
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Import-Module Microsoft.Graph.Users.Actions
$params = @{
Decision = "Approve"
Justification = "All principals with access need continued access to the resource (Marketing Group) as all the principals are on the marketing team"
ResourceId = "a5c51e59-3fcd-4a37-87a1-835c0c21488a"
}
# A UPN can also be used as -UserId.
Invoke-MgBatchUserPendingAccessReviewInstanceRecordDecision -UserId $userId -AccessReviewInstanceId $accessReviewInstanceId -BodyParameter $params
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new BatchRecordDecisionsPostRequestBody();
$requestBody->setDecision('Approve');
$requestBody->setJustification('All principals with access need continued access to the resource (Marketing Group) as all the principals are on the marketing team');
$requestBody->setResourceId('a5c51e59-3fcd-4a37-87a1-835c0c21488a');
$graphServiceClient->me()->pendingAccessReviewInstancesById('accessReviewInstance-id')->batchRecordDecisions()->post($requestBody);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.